import {createStore} from 'vuex'

export default createStore({
    state: {
        cimTitle: "",
    },
    getters: {
        cimTitle(state) {
            return state.cimTitle;
        },
    },
    mutations: {
        saveCimTitle(state, cimTitle) {
            state.cimTitle = cimTitle;
        },
    },
    actions: {
        updateCimTitle(context, cimTitle) {
            context.commit("cimTitle", cimTitle);
        },
    },
    modules: {}
})